## xserver-xorg-video-nouveau 1.0.10

=== src/shader/Makefile ===
NVC0_SHADERS = xfrm2nvc0.vpc \
	       exascnvc0.fpc \
	       exacmnvc0.fpc \
	       exacanvc0.fpc \
	       exasanvc0.fpc \
	       exas8nvc0.fpc \
	       exac8nvc0.fpc \
	       videonvc0.fpc
NVE0_SHADERS = xfrm2nve0.vpc \
	       exascnve0.fpc \
	       exacmnve0.fpc \
	       exacanve0.fpc \
	       exasanve0.fpc \
	       exas8nve0.fpc \
	       exac8nve0.fpc \
	       videonve0.fpc
NVF0_SHADERS = xfrm2nvf0.vpc \
	       exascnvf0.fpc \
	       exacmnvf0.fpc \
	       exacanvf0.fpc \
	       exasanvf0.fpc \
	       exas8nvf0.fpc \
	       exac8nvf0.fpc \
	       videonvf0.fpc

SHADERS = $(NVC0_SHADERS) $(NVE0_SHADERS) $(NVF0_SHADERS)

all: $(SHADERS)

$(filter %nvc0.vpc,$(SHADERS)): %.vpc: %.vp
	cpp -DENVYAS $< | sed -e '/^#/d' | envyas -w -m nvc0 -o $@
$(filter %nvc0.fpc,$(SHADERS)): %.fpc: %.fp
	cpp -DENVYAS $< | sed -e '/^#/d' | envyas -w -m nvc0 -o $@

$(filter %nve0.vpc,$(SHADERS)): %.vpc: %.vp
	cpp -DENVYAS $< | sed -e '/^#/d' | envyas -w -m nvc0 -V nve4 -o $@
$(filter %nve0.fpc,$(SHADERS)): %.fpc: %.fp
	cpp -DENVYAS $< | sed -e '/^#/d' | envyas -w -m nvc0 -V nve4 -o $@

$(filter %nvf0.vpc,$(SHADERS)): %.vpc: %.vp
	cpp -DENVYAS $< | sed -e '/^#/d' | envyas -w -m gk110 -o $@
$(filter %nvf0.fpc,$(SHADERS)): %.fpc: %.fp
	cpp -DENVYAS $< | sed -e '/^#/d' | envyas -w -m gk110 -o $@

## xserver-xorg-video-nouveau 0.0.15+git20100219+9b4118d-0ubuntu5trisquel1

=== debian/changelog ===
xserver-xorg-video-nouveau (1:0.0.15+git20100219+9b4118d-0ubuntu5trisquel1) taranis; urgency=low

  * Removed references to non-free drivers

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 03 Feb 2011 19:08:39 +0000

xserver-xorg-video-nouveau (1:0.0.15+git20100219+9b4118d-0ubuntu5) lucid; urgency=low

  * Add 100_check_fbcon_id.patch: Don't try to copy fbcon contents when
    there's no framebuffer bound.  drmModeGetFB complains loudly when it's
    given an invalid framebuffer id, bail out earlier if that's the case.
    Cherrypick from upstream.
    (LP: #529842)
  
 -- Bryce Harrington <bryce@ubuntu.com>  Wed, 31 Mar 2010 16:47:39 -0700

xserver-xorg-video-nouveau (1:0.0.15+git20100219+9b4118d-0ubuntu4) lucid; urgency=low

  * debian/control:
    + Drop dependency on linux-backports-modules-nouveau-lucid-FLAVOUR.  As of
      2.6.32-16 nouveau is in the main kernel image.  Fixes unsatisfiable 
      depends (LP: #534978) and prevents the alternate-installer being
      confused (LP: #526422).
    + Drop ancient, unnecessary conflicts/replaces on non-existent nvidia-glx
      virtual package.
  * debian/nouveau_kms:
  * debian/rules:
    + Drop nouveau_kms initramfs-tools hook.  Now that nouveau is in the main
      kernel image the existing framebuffer hook correctly copies nouveau into
      the initramfs.
  * debian/dirs:
    + Drop, no longer need initramfs-tools hook directory
  * debian/postinst:
  * debian/postrm:
    + Drop; update-initramfs trigger is no longer necessary.
  
 -- Christopher James Halse Rogers <raof@ubuntu.com>  Wed, 10 Mar 2010 08:51:31 +1100

xserver-xorg-video-nouveau (1:0.0.15+git20100219+9b4118d-0ubuntu3) lucid; urgency=low

  * debian/patches/02_nouveau_bgnr
    + Add patch from Fedora package enabling smooth Plymouth->GDM transition.
      (LP: #529751)

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Fri, 26 Feb 2010 15:49:20 +1100

xserver-xorg-video-nouveau (1:0.0.15+git20100219+9b4118d-0ubuntu2) lucid; urgency=low

  * debian/control
    + Add -pae as fulfilling dependency
      (LP: #524792)

 -- Bryce Harrington <bryce@ubuntu.com>  Mon, 22 Feb 2010 21:32:09 -0800

xserver-xorg-video-nouveau (1:0.0.15+git20100219+9b4118d-0ubuntu1) lucid; urgency=low

  [ Christopher James Halse Rogers ]
  * debian/dirs:
    + Create initramfs-tools hook directory.
  * debian/rules: 
    + Update get-orig-source target to create correctly versioned tarballs
    + Install nouveau_kms hook with executable permissions
  * debian/nouveau_kms
    + initramfs-tools hook to add lbm_nouveau to the initramfs, like the other
      KMS framebuffer drivers.
  * debian/postinst:
  * debian/postrm:
    + Trigger update-initramfs on install and removal to ensure kms hook is 
      used.
  * debian/control:
    + Tighten libdrm-dev build-depend to >= 2.4.18~ for nouveau_class.h updates

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Fri, 19 Feb 2010 14:49:30 +0200

xserver-xorg-video-nouveau (1:0.0.15+git20100128+2630a15-0ubuntu2) lucid; urgency=low

  * debian/control: Add dependency on meta package
    linux-backports-modules-nouveau-lucid-generic instead of packages with
    obsolete abi version.

 -- Bryce Harrington <bryce@ubuntu.com>  Fri, 19 Feb 2010 00:14:04 -0800

xserver-xorg-video-nouveau (1:0.0.15+git20100128+2630a15-0ubuntu1) lucid; urgency=low

  * New upstream snapshot
    + Too many commits to usefully list in the changelog.
    + User modesetting code is now removed.  Nouveau will now only work with 
      KMS.
  * debian/control:
    + Bump versioned Build-Dep on libdrm-dev to >= 2.4.17-1ubuntu1~ to pick 
      up nouveau #define updates.
    + Bump build-dep on xserver-xorg-dev to >= 2:1.7.  Nouveau now requires 
      xorg-server >= 1.7.
    + Drop duplicate build-dep on xserver-xorg-dev
    + List the Build-Depends one-to-a-line for clarity
    + Drop the Depends: on linux-nouveau-modules.  Replace with temporary 
      Depends against apw's linux-backports-modules-nouveau* packages.
    + Bump Standards version to 3.8.4.
    + Remove the big INCOMPLETE warnings from package description.
  * debian/README.source
    + Quilt patchsys README for standards version 3.8.4 compliance
  * Change versioning to match Sarvatt's snapshot versioning.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Fri, 04 Dec 2009 12:31:58 +1100

xserver-xorg-video-nouveau (1:0.0.10~git+20090823+569a17a-0ubuntu1) karmic; urgency=low

  * Merge package from Debian experimental.  Remaining Ubuntu changes:
    + debian/control:
      - Remove mention of using module-assistant; we have a DKMS source package
      - Add dependency on quilt for our snapshot-date patch
    + debian/rules:
      - Call patch target
      - Generate snapshot-date in get-orig-source
    + debian/patches/01_include_snapshot_date
      - Use snapshot-date included by get-orig-source to define NV_DRIVER_DATE
        in configure.  Helps upstream identify obsolete drivers with Xorg.log
    + debian/xsfbs/*
      - Update build-system helper from pkg-xorg.  No longer uses deprecated
        --print-instalation-architecture. (LP: #403316)
  * New upstream snapshot.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Sun, 23 Aug 2009 19:36:28 +1000

xserver-xorg-video-nouveau (1:0.0.10~git+20090708+ef3a386-0ubuntu1) karmic; urgency=low

  * New upstream snapshot
    + Too many git commits to usefully list in changelog.  Lots of fixes,
      especially for nv5x and nv6x chips.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Wed, 08 Jul 2009 08:31:59 +1000

xserver-xorg-video-nouveau (1:0.0.10~git+20090701+c0bf670-1) experimental; urgency=low

  * New upstream snapshot.
    - c0bf670... wfb: fix stupid thinko + more safety
    - a12cb5c... bios: oops
    - e66867e... bios: use image from PRAMIN in preference to PROM on NV50
    - 42c5730... wrap BlockHandler a little earlier
    - 09e663a... kms: safer fb resize func


=== debian/control ===
Source: xserver-xorg-video-nouveau
Section: x11
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Chris Lamb <lamby@debian.org>, Matthew Johnson <mjj29@debian.org>
Build-Depends: debhelper (>= 7),
 pkg-config,
 xserver-xorg-dev (>= 2:1.7),
 x11proto-video-dev,
 x11proto-core-dev,
 x11proto-fonts-dev,
 x11proto-randr-dev (>= 1.2),
 x11proto-render-dev,
 x11proto-xext-dev,
 libdrm-dev (>= 2.4.18~),
 x11proto-xf86dri-dev,
 x11proto-gl-dev,
 mesa-common-dev,
 automake,
 libtool,
 xutils-dev,
 quilt
Standards-Version: 3.8.4
Homepage: http://nouveau.freedesktop.org/wiki/
Vcs-Git: git://git.debian.org/git/pkg-xorg/driver/xserver-xorg-video-nouveau
Vcs-Browser: http://git.debian.org/?=pkg-xorg/driver/xserver-xorg-video-nouveau.git

Package: xserver-xorg-video-nouveau
Architecture: any
Depends: ${shlibs:Depends}, 
 ${misc:Depends},
 ${xserver:Depends}
Provides: ${xviddriver:Provides}
Replaces: xserver-xorg (<< 6.8.2-35)
Description: X.Org X server -- Nouveau display driver (experimental)
 This driver for the X.Org X server (see xserver-xorg for a further description)
 provides support for NVIDIA Riva, TNT, GeForce, and Quadro cards.
 .
 Although the nouveau project aims to provide full 3D support it is not yet
 complete, and these packages do not include any 3D support.
 .
 This package is built from the FreeDesktop.org xf86-video-nouveau driver.

=== debian/rules ===
#!/usr/bin/make -f

-include debian/xsfbs/xsfbs.mk

CFLAGS = -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	confflags += --build=$(DEB_HOST_GNU_TYPE)
else
	confflags += --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
endif

# kbd_drv.a isn't phenomenally useful; kbd_drv.so more so
confflags += --disable-static

get-orig-source:
	git clone git://anongit.freedesktop.org/git/nouveau/xf86-video-nouveau && \
	cd xf86-video-nouveau && autoreconf -v --install && \
	git log |head -3|tail -1|tr -d '\n' > snapshot-date && \
	REVISION=$$(git show --pretty=format:"%h" HEAD | head -n1) && cd .. && \
	PREFIX=xserver-xorg-video-nouveau_0.0.15+git$$(date +%Y%m%d)+$$REVISION && \
	rm -rf xf86-video-nouveau/.git && \
	tar czf $$PREFIX.orig.tar.gz --exclude=autom4te.cache xf86-video-nouveau && \
	rm -rf xf86-video-nouveau

build: patch build-stamp
build-stamp:
	dh_testdir
	test -d obj-$(DEB_BUILD_GNU_TYPE) || mkdir obj-$(DEB_BUILD_GNU_TYPE)
	cd obj-$(DEB_BUILD_GNU_TYPE) && \
	../configure --prefix=/usr --mandir=\$${prefix}/share/man \
	             --infodir=\$${prefix}/share/info $(confflags) \
	             CFLAGS="$(CFLAGS)"
	cd obj-$(DEB_BUILD_GNU_TYPE) && $(MAKE)
	touch $@

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp

	[ ! -f Makefile ] || $(MAKE) distclean

	rm -f config.cache config.log config.status
	rm -f */config.cache */config.log */config.status
	rm -f conftest* */conftest*
	rm -rf autom4te.cache */autom4te.cache
	rm -rf obj-*
	rm -rf stampdir

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	cd obj-$(DEB_BUILD_GNU_TYPE) && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install

binary-arch: build install serverabi
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_install --sourcedir=debian/tmp --list-missing
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install get-orig-source

=== debian/watch ===
# drm-snapshot is a development snapshot and thus has no releases.

## xserver-xorg-video-nouveau 0.0.16+git20110107+b795ca6e-0ubuntu7+5.0trisquel1

=== debian/changelog ===
xserver-xorg-video-nouveau (1:0.0.16+git20110107+b795ca6e-0ubuntu7+5.0trisquel1) dagda; urgency=low

  * Removed references to non-free drivers

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 15 Jul 2011 02:28:20 +0000

xserver-xorg-video-nouveau (1:0.0.16+git20110107+b795ca6e-0ubuntu7) natty; urgency=low

  * debian/patches/04_emit_surface_state_after_flush.diff:
    + Cherry-pick from upstream.  Re-emit surface state after flush, or
      PGRAPH_TRAP_CCACHE_FAULTs will ruin your day and cause [mi] EQ overflow
      to eat your X.
  * debian/patches/05_dri2_buffer_failure_path_crash.diff:
    + Cherry-pick from upstream.  Return an error rather than crash the X
      server when failing to create a dri2 buffer.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Mon, 04 Apr 2011 16:58:30 +1000

xserver-xorg-video-nouveau (1:0.0.16+git20110107+b795ca6e-0ubuntu6) natty; urgency=low

  * Rebuild to pick up new Xserver dependencies

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Wed, 09 Mar 2011 14:50:26 +1100

xserver-xorg-video-nouveau (1:0.0.16+git20110107+b795ca6e-0ubuntu5) natty; urgency=low

  * Rebuild to pick up new Xserver dependencies

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Wed, 23 Feb 2011 17:53:50 +1100

xserver-xorg-video-nouveau (1:0.0.16+git20110107+b795ca6e-0ubuntu4) natty; urgency=low

  * debian/control: Bump build-depends on xserver-xorg-dev to really,
    really build against Xserver 1.10

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 01 Feb 2011 22:02:01 +1100

xserver-xorg-video-nouveau (1:0.0.16+git20110107+b795ca6e-0ubuntu3) natty; urgency=low

  * Rebuild against Xserver 1.10

 -- Bryce Harrington <bryce@ubuntu.com>  Mon, 31 Jan 2011 18:52:13 -0800

xserver-xorg-video-nouveau (1:0.0.16+git20110107+b795ca6e-0ubuntu2) natty; urgency=low

  * debian/patches/02_nouveau_bgnr: Fix Xserver 1.10 codepath to not crash the
    server.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Mon, 31 Jan 2011 18:48:03 +1100

xserver-xorg-video-nouveau (1:0.0.16+git20110107+b795ca6e-0ubuntu1) natty; urgency=low

  * Merge from Debian experimental.  Remaining Ubuntu changes:
    - debian/patches/02_nouveau_bgnr:
      + Patch from Fedora for a smooth Plymouth->GDM transition.
  * Drop debian/patches/03_work-around-exa-hangs.patch; natty's 2.6.37 kernel
    now has the accompanying kernel commit.
  * New upstream snapshot
  * debian/patches/03_use_older_libdrm_headers.diff:
    - Revert git commit c2092a45 which switches to post-2.4.23 split libdrm
      headers.
  * debian/patches/02_nouveau_bgnr:
    - Update to build against both Ubuntu-patched and upstream 1.10 BG None
      ABIs.
  * debian/README.source:
    - Document how to update to a new upstream snapshot.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Wed, 26 Jan 2011 13:48:15 +1100

xserver-xorg-video-nouveau (1:0.0.16+git20101210+8bb8231-1) experimental; urgency=low

  [ Sven Joachim ]
  * New upstream snapshot.
    - X server 1.8 or higher is now required.
    - Bump build-dependency on libdrm-dev to (>= 2.4.23) due to
      libdrm-nouveau API changes.

 -- Julien Cristau <jcristau@debian.org>  Tue, 04 Jan 2011 11:59:17 +0100

xserver-xorg-video-nouveau (1:0.0.16+git20100825+390f1c8-1) experimental; urgency=low

  [ Sven Joachim ]
  * New upstream snapshot.
  * Bump build-dependency on libdrm-dev to (>= 2.4.21-2~) to ensure that
    we keep building against the experimental libdrm.
  * Bump Standards-Version to 3.9.1, no changes needed.

  [ Christopher James Halse Rogers ]
  * debian/patches/03_work-around-exa-hangs.patch:
    - Revert a commit which removes a work-around for EXA hangs; we do not yet
      have the associated kernel commit in our tree.

 -- Julien Cristau <jcristau@debian.org>  Wed, 25 Aug 2010 23:21:29 +0200

xserver-xorg-video-nouveau (1:0.0.16+git20100805+b96170a-0ubuntu1) maverick; urgency=low

  * New upstream snapshot
    - Fixes segfault in DRI2 on Xserver 1.9
    - Fixes assert on Xserver 1.9 startup due to uninitialised scratch pixmaps
  * debian/patches/03_work-around-exa-hangs.patch:
    - Revert a commit which removes a work-around for EXA hangs; we do not yet
      have the associated kernel commit in our tree.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Thu, 05 Aug 2010 15:02:37 +1000

xserver-xorg-video-nouveau (1:0.0.16+git20100518+4b8f1a0-0ubuntu1) maverick; urgency=low

  [Christopher James Halse Rogers]
  * Merge from Debian unstable.  Remaining Ubuntu changes:
    - debian/patches/02_nouveau_bgnr:
      + Patch from Fedora for a smooth Plymouth->GDM transition.
  * New upstream snapshot.  
    - Support for monitor hotplug detection added.
    - Handle starting X with no monitors detected more gracefully (LP: #568079)
  * Package now built against 0.0.16 ABI (LP: #590989)
  * debian/rules:
    - get-orig-source: Upstream version is now 0.0.16
  * debian/control:
    - Ubuntu X Swat is maintainer, not MOTU.
  * Merge in useful changes from Debian experimental:

  [ Sven Joachim ]
  * New upstream snapshot, with uevent support.
    - Add build-dependency on libudev-dev.
  * Add a NEWS.Debian for that problem and update README.Debian.
  * Add myself to Uploaders.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 18 May 2010 18:32:50 +1000

xserver-xorg-video-nouveau (1:0.0.15+git20100329+7858345-5) unstable; urgency=low

  [ Cyril Brulebois ]
  * Fix Vcs-Browser URL, thanks to Petr Vorel (Closes: #596217).

  [ Sven Joachim ]
  * Update README.Debian:
    - Drop section about enabling the X driver, it has been the default
      for four months already.
    - Only recommend to reboot before switching to the blob, the
      KernelModeSetting page in the nouveau wiki has instructions how
      to do this.  Also mention nv as incompatible with nouveau.
  * Restrict the package to Linux architectures for now, other kernels
    do not have the necessary DRM/GEM/KMS infrastructure.



=== debian/control ===
Source: xserver-xorg-video-nouveau
Section: x11
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Chris Lamb <lamby@debian.org>, Matthew Johnson <mjj29@debian.org>,
 Cyril Brulebois <kibi@debian.org>, Sven Joachim <svenjoac@gmx.de>
Build-Depends:
 debhelper (>= 7),
 pkg-config,
 xserver-xorg-dev (>= 2:1.9.99.903-2ubuntu1~),
 x11proto-video-dev,
 x11proto-core-dev,
 x11proto-fonts-dev,
 x11proto-randr-dev (>= 1.2),
 x11proto-render-dev,
 x11proto-xext-dev,
 libdrm-dev (>= 2.4.23),
 x11proto-xf86dri-dev,
 x11proto-gl-dev,
 mesa-common-dev,
 libudev-dev,
 automake,
 libtool,
 xutils-dev,
 quilt,
Standards-Version: 3.9.1
Homepage: http://nouveau.freedesktop.org/wiki/
Vcs-Git: git://git.debian.org/git/pkg-xorg/driver/xserver-xorg-video-nouveau
Vcs-Browser: http://git.debian.org/?p=pkg-xorg/driver/xserver-xorg-video-nouveau.git

Package: xserver-xorg-video-nouveau
Architecture: linux-any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${xviddriver:Depends},
Provides: ${xviddriver:Provides}
Description: X.Org X server -- Nouveau display driver (experimental)
 This driver for the X.Org X server (see xserver-xorg for a further description)
 provides support for NVIDIA Riva, TNT, GeForce, and Quadro cards.
 .
 .
 This package is built from the FreeDesktop.org xf86-video-nouveau driver.

Package: xserver-xorg-video-nouveau-dbg
Architecture: linux-any
Depends:
 ${misc:Depends},
 xserver-xorg-video-nouveau (= ${binary:Version}),
Section: debug
Priority: extra
Description: X.Org X server -- Nouveau display driver (debug symbols)
 This driver for the X.Org X server (see xserver-xorg for a further description)
 provides support for NVIDIA Riva, TNT, GeForce, and Quadro cards.
 .
 .
 This package provides debugging symbols for this Xorg X driver.

=== debian/rules ===
#!/usr/bin/make -f

include debian/xsfbs/xsfbs.mk

CFLAGS = -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	confflags += --build=$(DEB_HOST_GNU_TYPE)
else
	confflags += --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
endif

# kbd_drv.a isn't phenomenally useful; kbd_drv.so more so
confflags += --disable-static

get-orig-source:
	git clone git://anongit.freedesktop.org/git/nouveau/xf86-video-nouveau && \
	cd xf86-video-nouveau && git log > ChangeLog && \
	REVISION=$$(git show --pretty=format:"%h" HEAD | head -n1) && cd .. && \
	PREFIX=xserver-xorg-video-nouveau_0.0.16+git$$(date +%Y%m%d)+$$REVISION && \
	rm -rf xf86-video-nouveau/.git && \
	tar czf $$PREFIX.orig.tar.gz xf86-video-nouveau && \
	rm -rf xf86-video-nouveau

build: build-stamp
build-stamp: configure
	dh_testdir
	test -d build || mkdir build
	cd build && \
	../configure --prefix=/usr --mandir=\$${prefix}/share/man \
	             --infodir=\$${prefix}/share/info $(confflags) \
	             CFLAGS="$(CFLAGS)" CURDIR=$(CURDIR)
	cd build && $(MAKE)
	touch $@

configure: $(STAMP_DIR)/patch
	dh_testdir
	autoreconf -vfi

clean: xsfclean
	dh_testdir
	dh_testroot
	rm -f build-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -rf build
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	cd build && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	find $(CURDIR)/debian/tmp -name '*.la' -delete

binary-arch: build install serverabi
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installchangelogs
	dh_install --sourcedir=debian/tmp --fail-missing
	dh_link
	dh_strip --dbg-package=xserver-xorg-video-nouveau-dbg
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps -- --warnings=6
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install get-orig-source

## xserver-xorg-video-nouveau 0.0.16+git20110411+8378443-1~bpo60+1

=== debian/changelog ===
xserver-xorg-video-nouveau (1:0.0.16+git20110411+8378443-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.
  * Build against Xserver 1.10.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 14 Aug 2011 16:20:18 +0200

xserver-xorg-video-nouveau (1:0.0.16+git20110411+8378443-1) unstable; urgency=low

  [ Sven Joachim ]
  * New upstream snapshot.
    - Fixes sluggish rendering of X core fonts (Closes: #614938).
    - Better support for NVC0 (aka Fermi) cards. Linux 2.6.38 and not readily
      available firmware is required for acceleration, see README.Debian.
    - Bump build-dependency on libdrm-dev to (>= 2.4.24) due to
      libdrm-nouveau API changes.
  * Drop patch 03_work-around-exa-hangs.patch.  Affected users should upgrade
    their kernel to 2.6.36 or newer.
  * Update README.Debian:
    - Former nvidia-glx users should remove the libgl{1,x}-nvidia-alternatives
      packages which divert the Mesa/Xorg files in Squeeze and later.
    - Drop vga16fb from the list of incompatible drivers, KMS handover should
      work as of Linux 2.6.35.
    - Don't mention nv anymore, it has been removed from Debian.
  * Drop unnecessary leading asterisk from NEWS.Debian.
  * Drop the sample xorg.conf, no longer needed.
  * Build against Xserver 1.9.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 12 Apr 2011 01:33:01 +0200

xserver-xorg-video-nouveau (1:0.0.16+git20101210+8bb8231-2+exp2) experimental; urgency=low

  * Rebuild against Xserver 1.10 rc3.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 25 Feb 2011 15:46:57 +0100

xserver-xorg-video-nouveau (1:0.0.16+git20101210+8bb8231-2+exp1) experimental; urgency=low

  * Rebuild against Xserver 1.10 rc2.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 20 Feb 2011 20:59:59 +0100

xserver-xorg-video-nouveau (1:0.0.16+git20101210+8bb8231-2) unstable; urgency=low

  * Switch to dh:
    - Use debhelper 8.
    - Use dh-autoreconf.
    - Get rid of debian/clean accordingly.
    - Bump xserver-xorg-dev build-dep for dh_xsf_substvars and xsf
      debhelper sequence.
  * Remove xsfbs accordingly.
  * Update Uploaders list. Thanks, Chris & Matthew!

 -- Cyril Brulebois <kibi@debian.org>  Sat, 05 Feb 2011 14:52:43 +0100

xserver-xorg-video-nouveau (1:0.0.16+git20100518+4b8f1a0-1) experimental; urgency=low

  [ Sven Joachim ]
  * New upstream snapshot, with uevent support.
    - Add build-dependency on libudev-dev.
  * Build against updated librm, kernel 2.6.34 is now required.
    - Bump build-dependency on libdrm-dev to (>= 2.4.20-3~).
  * Add a NEWS.Debian for that problem and update README.Debian.
  * Add myself to Uploaders.
  
 -- Julien Cristau <jcristau@debian.org>  Wed, 26 May 2010 13:28:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,20 @@
 Source: xserver-xorg-video-nouveau
 Section: x11
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
-Uploaders: Chris Lamb <lamby@debian.org>, Matthew Johnson <mjj29@debian.org>,
- Cyril Brulebois <kibi@debian.org>, Sven Joachim <svenjoac@gmx.de>
+Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Uploaders: Cyril Brulebois <kibi@debian.org>, Sven Joachim <svenjoac@gmx.de>
 Build-Depends:
- debhelper (>= 7),
+ debhelper (>= 8),
+ dh-autoreconf,
  pkg-config,
- xserver-xorg-dev (>= 2:1.9.99.903-2ubuntu1~),
+ xserver-xorg-dev (>= 2:1.9.4),
  x11proto-video-dev,
  x11proto-core-dev,
  x11proto-fonts-dev,
  x11proto-randr-dev (>= 1.2),
  x11proto-render-dev,
  x11proto-xext-dev,
- libdrm-dev (>= 2.4.23),
+ libdrm-dev (>= 2.4.24),
  x11proto-xf86dri-dev,
  x11proto-gl-dev,
  mesa-common-dev,
@@ -40,6 +39,9 @@
  This driver for the X.Org X server (see xserver-xorg for a further description)
  provides support for NVIDIA Riva, TNT, GeForce, and Quadro cards.
  .
+ Although the nouveau project aims to provide full 3D support it is not yet
+ complete, and these packages do not include any 3D support.
+ Users requiring 3D support should use the non-free "nvidia" driver.
  .
  This package is built from the FreeDesktop.org xf86-video-nouveau driver.
 
@@ -54,5 +56,8 @@
  This driver for the X.Org X server (see xserver-xorg for a further description)
  provides support for NVIDIA Riva, TNT, GeForce, and Quadro cards.
  .
+ Although the nouveau project aims to provide full 3D support it is not yet
+ complete, and these packages do not include any 3D support.
+ Users requiring 3D support should use the non-free "nvidia" driver.
  .
  This package provides debugging symbols for this Xorg X driver.

=== debian/rules ===
#!/usr/bin/make -f

# Needed to find ChangeLog:
override_dh_auto_configure:
	dh_auto_configure -- CURDIR="$(CURDIR)"

# Install in debian/tmp to retain control through dh_install:
override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

# Kill *.la files, and forget no-one:
override_dh_install:
	find debian/tmp -name '*.la' -delete
	dh_install --fail-missing

# Debug package:
override_dh_strip:
	dh_strip --dbg-package=xserver-xorg-video-nouveau-dbg

# That's a plugin, use appropriate warning level:
override_dh_shlibdeps:
	dh_shlibdeps -- --warnings=6

%:
	dh $@ --with quilt,autoreconf,xsf --builddirectory=build/


# Build me a tarball:
get-orig-source:
	git clone git://anongit.freedesktop.org/git/nouveau/xf86-video-nouveau && \
	cd xf86-video-nouveau && git log > ChangeLog && \
	REVISION=$$(git show --pretty=format:"%h" HEAD | head -n1) && cd .. && \
	PREFIX=xserver-xorg-video-nouveau_0.0.16+git$$(date +%Y%m%d)+$$REVISION && \
	rm -rf xf86-video-nouveau/.git && \
	tar czf $$PREFIX.orig.tar.gz xf86-video-nouveau && \
	rm -rf xf86-video-nouveau

=== debian/watch ===
#git=git://anongit.freedesktop.org/nouveau/xf86-video-nouveau

## xserver-xorg-video-nouveau 1.0.2-0+zlt1

=== debian/changelog ===
xserver-xorg-video-nouveau (1:1.0.2-0+zlt1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release.
  * debian/patches:
    - patches/02-drm-nouveau-newabi.patch: disable

 -- Roman Vasiyarov <rvasiyarov@gmail.com>  Wed, 19 Sep 2012 16:13:59 +0400

xserver-xorg-video-nouveau (1:1.0.1-3) unstable; urgency=low

  * Update NEWS.Debian, Debian kernels from 3.2.23-1 onward are
    sufficient for Fermi acceleration (Closes: #679557).

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 26 Jul 2012 18:03:06 +0200

xserver-xorg-video-nouveau (1:1.0.1-2) unstable; urgency=low

  * Cherry-pick commit d1bc38b ("nv40/exa: fix shaders on big-endian
    machines") from upstream (Closes: #679127).

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 07 Jul 2012 09:31:04 +0200

xserver-xorg-video-nouveau (1:1.0.1-1) unstable; urgency=low

  [ Maarten Lankhorst ]
  * New upstream snapshot.
    - Bump to 1.0.1 release.
    - Pick up a firefox tab draw fix for nv50 cards.

  [ Sven Joachim ]
  * Actually look for upstream releases in debian/watch.

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 20 Jun 2012 17:56:51 +0200

xserver-xorg-video-nouveau (1:0.0.16+git20120614+36d3f8c-1) unstable; urgency=low

  [ Maarten Lankhorst ]
  * New upstream snapshot. Picks up a EXA fix for pre-nv50 cards.
  * Cherry pick the silence flip event patch too to reduce spam.

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 16 Jun 2012 17:30:53 +0200

xserver-xorg-video-nouveau (1:0.0.16+git20120529+ace77b6-1) experimental; urgency=low

  [ Maarten Lankhorst ]
  * New upstream snapshot. First one to have the new ABI.
  * Add 02-drm-nouveau-newabi.patch to build with old libdrm
  - Until mesa 8.1 is released, we cannot build with new libdrm yet

  [ Sven Joachim ]
  * Mention in NEWS.Debian that Linux 3.4 is currently necessary to
    provide acceleration for Fermi cards.

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 02 Jun 2012 19:30:08 +0200

xserver-xorg-video-nouveau (1:0.0.16+git20120322+ab7291d-1) unstable; urgency=low

  [ Julien Cristau ]
  * Add Dm-Upload-Allowed control field to allow Sven to upload this package.

  [ Sven Joachim ]
  * New upstream snapshot.
  * Update README.Debian:
    - Nouveau moves out of staging in Linux 3.4.
    - Generalize the firmware section.
  * Bump Standards-Version to 3.9.3, no changes needed.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 01 May 2012 15:17:37 +0200

xserver-xorg-video-nouveau (1:0.0.16+git20111201+b5534a1-1) unstable; urgency=low

  [ Sven Joachim ]
  * New upstream snapshot.
    - Default color depth is now 16bpp for low memory cards, so it should
      be possible to use high resolutions with them (Closes: #585651).
  * Bump Standards-Version to 3.9.2, no changes needed.
  * Don't claim that the driver is experimental in the description.
  * Recommend libmesa-gl1-dri (>= 7.11.1) for the 3D drivers.
  * Update README.Debian:
    - No need to uninstall nvidia-glx anymore, you can select the mesa
      alternative with "update-alternatives --config glx".
    - Linux 3.1 includes free firmware for some Fermi cards.
    - Drop section about lack of DRI and 3D support.
  * Use dpkg-buildflags to set compiler flags.
  * Update debian/copyright.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 02 Dec 2011 15:06:30 +0100

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Cyril Brulebois <kibi@debian.org>, Sven Joachim <svenjoac@gmx.de>
+Dm-Upload-Allowed: yes
 Build-Depends:
  debhelper (>= 8),
  dh-autoreconf,
@@ -23,7 +24,7 @@
  libtool,
  xutils-dev,
  quilt,
-Standards-Version: 3.9.1
+Standards-Version: 3.9.3
 Homepage: http://nouveau.freedesktop.org/wiki/
 Vcs-Git: git://git.debian.org/git/pkg-xorg/driver/xserver-xorg-video-nouveau
 Vcs-Browser: http://git.debian.org/?p=pkg-xorg/driver/xserver-xorg-video-nouveau.git
@@ -34,14 +35,14 @@
  ${shlibs:Depends},
  ${misc:Depends},
  ${xviddriver:Depends},
+Recommends: libgl1-mesa-dri (>= 7.11.1)
 Provides: ${xviddriver:Provides}
-Description: X.Org X server -- Nouveau display driver (experimental)
+Description: X.Org X server -- Nouveau display driver
  This driver for the X.Org X server (see xserver-xorg for a further description)
  provides support for NVIDIA Riva, TNT, GeForce, and Quadro cards.
  .
- Although the nouveau project aims to provide full 3D support it is not yet
- complete, and these packages do not include any 3D support.
- Users requiring 3D support should use the non-free "nvidia" driver.
+ This package provides 2D support including EXA acceleration, Xv and
+ RandR.  3D functionality is provided by the libgl1-mesa-dri package.
  .
  This package is built from the FreeDesktop.org xf86-video-nouveau driver.
 
@@ -56,8 +57,7 @@
  This driver for the X.Org X server (see xserver-xorg for a further description)
  provides support for NVIDIA Riva, TNT, GeForce, and Quadro cards.
  .
- Although the nouveau project aims to provide full 3D support it is not yet
- complete, and these packages do not include any 3D support.
- Users requiring 3D support should use the non-free "nvidia" driver.
+ This package provides 2D support including EXA acceleration, Xv and
+ RandR.  3D functionality is provided by the libgl1-mesa-dri package.
  .
  This package provides debugging symbols for this Xorg X driver.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,8 @@
 #!/usr/bin/make -f
+
+export CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
+export CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
+export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
 
 # Needed to find ChangeLog:
 override_dh_auto_configure:
@@ -30,7 +34,7 @@
 	git clone git://anongit.freedesktop.org/git/nouveau/xf86-video-nouveau && \
 	cd xf86-video-nouveau && git log > ChangeLog && \
 	REVISION=$$(git show --pretty=format:"%h" HEAD | head -n1) && cd .. && \
-	PREFIX=xserver-xorg-video-nouveau_0.0.16+git$$(date +%Y%m%d)+$$REVISION && \
+	PREFIX=xserver-xorg-video-nouveau_1.0.1+git$$(date +%Y%m%d)+$$REVISION && \
 	rm -rf xf86-video-nouveau/.git && \
 	tar czf $$PREFIX.orig.tar.gz xf86-video-nouveau && \
 	rm -rf xf86-video-nouveau

=== debian/watch ===
#git=git://anongit.freedesktop.org/nouveau/xf86-video-nouveau
version=3
# Only a bzip2 tarball is currently available -- you need to
# use uscan's --repack option
http://nouveau.freedesktop.org/release/xf86-video-nouveau-(.+)\.tar\.bz2

## xserver-xorg-video-nouveau 1.0.12

=== src/shader/Makefile ===
--- 
+++ 
@@ -24,20 +24,21 @@
 	       videonvf0.fpc
 
 SHADERS = $(NVC0_SHADERS) $(NVE0_SHADERS) $(NVF0_SHADERS)
+ENVYAS ?= envyas
 
 all: $(SHADERS)
 
 $(filter %nvc0.vpc,$(SHADERS)): %.vpc: %.vp
-	cpp -DENVYAS $< | sed -e '/^#/d' | envyas -w -m nvc0 -o $@
+	cpp -DENVYAS $< | sed -e '/^#/d' | $(ENVYAS) -w -m nvc0 -o $@
 $(filter %nvc0.fpc,$(SHADERS)): %.fpc: %.fp
-	cpp -DENVYAS $< | sed -e '/^#/d' | envyas -w -m nvc0 -o $@
+	cpp -DENVYAS $< | sed -e '/^#/d' | $(ENVYAS) -w -m nvc0 -o $@
 
 $(filter %nve0.vpc,$(SHADERS)): %.vpc: %.vp
-	cpp -DENVYAS $< | sed -e '/^#/d' | envyas -w -m nvc0 -V nve4 -o $@
+	cpp -DENVYAS $< | sed -e '/^#/d' | $(ENVYAS) -w -m nvc0 -V nve4 -o $@
 $(filter %nve0.fpc,$(SHADERS)): %.fpc: %.fp
-	cpp -DENVYAS $< | sed -e '/^#/d' | envyas -w -m nvc0 -V nve4 -o $@
+	cpp -DENVYAS $< | sed -e '/^#/d' | $(ENVYAS) -w -m nvc0 -V nve4 -o $@
 
 $(filter %nvf0.vpc,$(SHADERS)): %.vpc: %.vp
-	cpp -DENVYAS $< | sed -e '/^#/d' | envyas -w -m gk110 -o $@
+	cpp -DENVYAS $< | sed -e '/^#/d' | $(ENVYAS) -w -m gk110 -o $@
 $(filter %nvf0.fpc,$(SHADERS)): %.fpc: %.fp
-	cpp -DENVYAS $< | sed -e '/^#/d' | envyas -w -m gk110 -o $@
+	cpp -DENVYAS $< | sed -e '/^#/d' | $(ENVYAS) -w -m gk110 -o $@

## xserver-xorg-video-nouveau 1.0.17

=== src/shader/Makefile ===
--- 
+++ 
@@ -22,23 +22,36 @@
 	       exas8nvf0.fpc \
 	       exac8nvf0.fpc \
 	       videonvf0.fpc
+NV110_SHADERS = xfrm2nv110.vpc \
+	       exascnv110.fpc \
+	       exacmnv110.fpc \
+	       exacanv110.fpc \
+	       exasanv110.fpc \
+	       exas8nv110.fpc \
+	       exac8nv110.fpc \
+	       videonv110.fpc
 
-SHADERS = $(NVC0_SHADERS) $(NVE0_SHADERS) $(NVF0_SHADERS)
+SHADERS = $(NVC0_SHADERS) $(NVE0_SHADERS) $(NVF0_SHADERS) $(NV110_SHADERS)
 ENVYAS ?= envyas
 
 all: $(SHADERS)
 
 $(filter %nvc0.vpc,$(SHADERS)): %.vpc: %.vp
-	cpp -DENVYAS $< | sed -e '/^#/d' | $(ENVYAS) -w -m nvc0 -o $@
+	cpp -DENVYAS $< | sed -e '/^#/d' | $(ENVYAS) -w -m gf100 -V gf100 -o $@
 $(filter %nvc0.fpc,$(SHADERS)): %.fpc: %.fp
-	cpp -DENVYAS $< | sed -e '/^#/d' | $(ENVYAS) -w -m nvc0 -o $@
+	cpp -DENVYAS $< | sed -e '/^#/d' | $(ENVYAS) -w -m gf100 -V gf100 -o $@
 
 $(filter %nve0.vpc,$(SHADERS)): %.vpc: %.vp
-	cpp -DENVYAS $< | sed -e '/^#/d' | $(ENVYAS) -w -m nvc0 -V nve4 -o $@
+	cpp -DENVYAS $< | sed -e '/^#/d' | $(ENVYAS) -w -m gf100 -V gk104 -o $@
 $(filter %nve0.fpc,$(SHADERS)): %.fpc: %.fp
-	cpp -DENVYAS $< | sed -e '/^#/d' | $(ENVYAS) -w -m nvc0 -V nve4 -o $@
+	cpp -DENVYAS $< | sed -e '/^#/d' | $(ENVYAS) -w -m gf100 -V gk104 -o $@
 
 $(filter %nvf0.vpc,$(SHADERS)): %.vpc: %.vp
 	cpp -DENVYAS $< | sed -e '/^#/d' | $(ENVYAS) -w -m gk110 -o $@
 $(filter %nvf0.fpc,$(SHADERS)): %.fpc: %.fp
 	cpp -DENVYAS $< | sed -e '/^#/d' | $(ENVYAS) -w -m gk110 -o $@
+
+$(filter %nv110.vpc,$(SHADERS)): %.vpc: %.vp
+	cpp -DENVYAS $< | sed -e '/^#/d' | $(ENVYAS) -w -m gm107 -o $@
+$(filter %nv110.fpc,$(SHADERS)): %.fpc: %.fp
+	cpp -DENVYAS $< | sed -e '/^#/d' | $(ENVYAS) -w -m gm107 -o $@

=== debian/changelog ===
xserver-xorg-video-nouveau (1:1.0.17-3ubuntu1) oracular; urgency=medium

  * d/p/nouveau-fixup-driver-for-new-macro-gating.patch:
    fix implicit declarations (LP: #2062144).
  * d/source/format: upgrade to "3.0 (quilt)" format.

 -- Zixing Liu <zixing.liu@canonical.com>  Mon, 01 Jul 2024 13:52:21 -0600

xserver-xorg-video-nouveau (1:1.0.17-3) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libdrm-dev and quilt.
    + xserver-xorg-video-nouveau: Drop versioned constraint on libgl1-mesa-dri
      in Recommends.

  [ Sven Joachim ]
  * Build with DEB_BUILD_MAINT_OPTIONS=qa=-bug-implicit-func for now
    (Closes: #1066382).
  * Build-Depend on pkgconf rather than on pkg-config.
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Fri, 15 Mar 2024 18:41:01 +0100

xserver-xorg-video-nouveau (1:1.0.17-2) unstable; urgency=medium

  * Fix build against xserver 21.1.
  * Build against new xserver.
  * watch: Update upstream git url.
  * Update README.source for salsa.
  * Bump policy to 4.6.0.
  * control: Drop automake, libtool from build-depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 09 Feb 2022 12:58:49 +0200

xserver-xorg-video-nouveau (1:1.0.17-1) unstable; urgency=medium

  * Team upload.

  [ Timo Aaltonen ]
  * control: Migrate to x11proto-dev.

  [ Sven Joachim ]
  * New upstream release.
  * Explicitly specify source format 1.0.
  * Set Rules-Requires-Root to no.
  * Bump debhelper compatibility level to 13.
    - Build-depend on debhelper-compat (= 13) and drop debian/compat.
    - Drop the dh_missing override, redundant in that compat level.
  * Stop passing --disable-silent-rules to dh_auto_configure, redundant.
  * Remove NEWS.Debian, no longer relevant.
  * Bump Standards-Version to 4.5.1, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 24 Jan 2021 13:09:06 +0100

xserver-xorg-video-nouveau (1:1.0.16-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add Ilia Mirkin's key BFB9B0C276D5767C710086EFB178BE4EA075DE07 to
    debian/upstream/signing-key.asc.
  * Drop patch for #896979, applied upstream.
  * Refresh remaining patch 01-set-NV_DRIVER_DATE-from-ChangeLog.diff.
  * Bump Standards-Version to 4.3.0, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 31 Jan 2019 21:17:23 +0100

xserver-xorg-video-nouveau (1:1.0.15-3) unstable; urgency=medium

  * Team upload.
  * Apply proposed patch to fix a null pointer dereference in
    drmmode_output_dpms() (Closes: #896979).
  * Cherry-pick commit 69aecdd305d ("modesetting: Validate the atom for
    enum properties") from upstream to fix another potential null pointer
    dereference.
  * Update Vcs-* fields to point at salsa.debian.org.
  * Use https in debian/watch.
  * Bump debhelper compat level to 11.
    - Drop dh-autoreconf from Build-Depends.
    - Bump quilt build dependency to (>= 0.63-8.2~) (see #851130).
    - Switch from "dh_install --fail-missing" to dh_missing.
  * Bump Standards-Version to 4.1.4, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 25 Jun 2018 18:39:33 +0200

xserver-xorg-video-nouveau (1:1.0.15-2) unstable; urgency=medium

  * Team upload.
  * Suggest firmware-misc-nonfree, needed for acceleration on Maxwell
    and newer cards.
  * Bump Standards-Version to 4.0.0, no changes needed.
  * Upload to unstable.

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 21 Jun 2017 18:10:27 +0200

xserver-xorg-video-nouveau (1:1.0.15-1) experimental; urgency=low

  * Team upload.
  * New upstream release.
    - Add support for Pascal cards.

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 22 Apr 2017 09:33:48 +0200

xserver-xorg-video-nouveau (1:1.0.14-1) experimental; urgency=low

  * Team upload.
  * New upstream release.
    - Provide acceleration support for Maxwell cards.
  * Add Lyude's key C5469FB8758F9C2B to debian/upstream/signing-key.asc.
  * Drop xserver-xorg-video-nouveau-dbg in favor of an automatic
    xserver-xorg-video-nouveau-dbgsym package.

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 15 Mar 2017 17:53:03 +0100

xserver-xorg-video-nouveau (1:1.0.13-3) unstable; urgency=medium

  * Team upload.
  * Cherry-pick commit e9418e4343 ("Do not register hotplug without RandR")
    from upstream (Closes: #860756).

 -- Sven Joachim <svenjoac@gmx.de>  Fri, 21 Apr 2017 20:41:50 +0200

xserver-xorg-video-nouveau (1:1.0.13-2) unstable; urgency=medium

  * Team upload.
  * Cherry-pick commit 924083938c ("Consider CRTCs disabled when DPMS is
    off") from upstream.

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 11 Mar 2017 09:00:49 +0100

xserver-xorg-video-nouveau (1:1.0.13-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add Maarten Lankhorst's key FE558C72A67013C3 to
    debian/upstream/signing-key.asc.

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 24 Sep 2016 11:46:20 +0200

xserver-xorg-video-nouveau (1:1.0.12-2) unstable; urgency=medium

  * Team upload.
  * Bump libdrm-dev build-dependency to (>= 2.4.60) as per configure.ac.
  * Drop redundant x11proto-gl-dev and mesa-common-dev build-dependencies.
  * Use https in the Vcs-* and Homepage fields.
  * Bump Standards-Version to 3.9.8, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 04 Jun 2016 09:31:14 +0200

xserver-xorg-video-nouveau (1:1.0.12-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump debhelper compat level to 9.
  * Let uscan verify tarball signatures.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Remove myself from Uploaders.

 -- Sven Joachim <svenjoac@gmx.de>  Fri, 11 Dec 2015 17:27:01 +0100

xserver-xorg-video-nouveau (1:1.0.11-1) unstable; urgency=low

  * New upstream release (Closes: #760265).
  * Bump Standards-Version to 3.9.5, no changes needed.
  * Remove Cyril Brulebois from Uploaders.
  * Update debian/copyright.



=== debian/control ===
Source: xserver-xorg-video-nouveau
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
# Uploaders: nobody, volunteers needed!
Build-Depends:
 debhelper-compat (= 13),
 pkgconf,
 xserver-xorg-dev (>= 2:21.1),
 x11proto-dev,
 libdrm-dev,
 libudev-dev,
 xutils-dev,
 quilt,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://nouveau.freedesktop.org/wiki/
Vcs-Git: https://salsa.debian.org/xorg-team/driver/xserver-xorg-video-nouveau.git
Vcs-Browser: https://salsa.debian.org/xorg-team/driver/xserver-xorg-video-nouveau

Package: xserver-xorg-video-nouveau
Architecture: linux-any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${xviddriver:Depends},
Recommends: libgl1-mesa-dri
Suggests: firmware-misc-nonfree
Provides: ${xviddriver:Provides}
Description: X.Org X server -- Nouveau display driver
 This driver for the X.Org X server (see xserver-xorg for a further description)
 provides support for NVIDIA Riva, TNT, GeForce, and Quadro cards.
 .
 This package provides 2D support including EXA acceleration, Xv and
 RandR.  3D functionality is provided by the libgl1-mesa-dri package.
 .
 This package is built from the FreeDesktop.org xf86-video-nouveau driver.

## xserver-xorg-video-nouveau 1.0.18

=== debian/changelog ===
xserver-xorg-video-nouveau (1:1.0.18-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #1095224).
    - Fix implicit declaration of wfbScreenInit (Closes: #1066968).
  * Stop building with DEB_BUILD_MAINT_OPTIONS=qa=-bug-implicit-func
    accordingly.
  * Drop patch added in version 1:1.0.17-2, applied upstream.
  * Add Matt Turner's key 16238A7D92448B02B7B10344B6B1CEAE5103DB07 to
    debian/upstream/signing-key.asc.
  * Switch to format 3.0 (quilt).
    - Drop quilt from Build-Depends and delete debian/README.source.
  * Change Homepage field to https://nouveau.freedesktop.org/.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 10 Feb 2025 17:59:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: xserver-xorg-video-nouveau
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 # Uploaders: nobody, volunteers needed!
 Build-Depends:
  debhelper-compat (= 13),
@@ -12,10 +11,9 @@
  libdrm-dev,
  libudev-dev,
  xutils-dev,
- quilt,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Homepage: https://nouveau.freedesktop.org/wiki/
+Homepage: https://nouveau.freedesktop.org/
 Vcs-Git: https://salsa.debian.org/xorg-team/driver/xserver-xorg-video-nouveau.git
 Vcs-Browser: https://salsa.debian.org/xorg-team/driver/xserver-xorg-video-nouveau

=== debian/rules ===
#!/usr/bin/make -f

export CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
export CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)

# Needed to find ChangeLog:
override_dh_auto_configure:
	dh_auto_configure -- CURDIR="$(CURDIR)" \
			     --libdir=/usr/lib

# Install in debian/tmp to retain control through dh_install:
override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

# Kill *.la files:
override_dh_install:
	find debian/tmp -name '*.la' -delete
	dh_install

# That's a plugin, use appropriate warning level:
override_dh_shlibdeps:
	dh_shlibdeps -- --warnings=6

%:
	dh $@ --with xsf --builddirectory=build/

=== debian/watch ===
#git=https://gitlab.freedesktop.org/nouveau/xf86-video-nouveau
version=3
opts=pgpsigurlmangle=s/$/.sig/ \
https://xorg.freedesktop.org/releases/individual/driver/ xf86-video-nouveau-(.+)\.tar\.gz
